package mis.contactos;
// Cuidando de nuestros contactos
import java.io.Serializable;
import java.io.*;
import java.util.*;
public class Persistencia implements Serializable{

    public LinkedList leerAgenda() throws IOException{
        LinkedList age = new LinkedList();;
        try{
            FileInputStream ageIn = new FileInputStream("Agenda.dat");
            ObjectInputStream objIn = new ObjectInputStream(ageIn);
            if(objIn != null)
                age =  (LinkedList)objIn.readObject();
        }catch (EOFException eof){
            System.out.println("Fin de Agenda.dat");
        }catch (ClassNotFoundException nfe){ 
            System.out.println("Class Not FoundException ");
        }catch (IOException ioe){ 
            System.out.println("IOException en leerAgenda");
        }
        System.out.println("leerAgenda(), tengo " + age);
        return age;
    }   //  void leerAgenda()
    
    public void grabarAgenda(LinkedList cont) throws IOException{ 
        System.out.println("estoy en grabarAgenda()");
        try{
            FileOutputStream ageOut = new FileOutputStream("Agenda.dat");
            ObjectOutputStream objOut = new ObjectOutputStream(ageOut);
            if( objOut!=null){ 
                System.out.println("if(objOut != null)");
                objOut.writeObject(cont);
                System.out.println("writeObject " + cont);
                objOut.close();
            }
        }catch (IOException ioe){ 
            System.out.println("IOException en grabarAgenda()");
        }
    }
}  //  class Persistencia
 


